Kirjoittaja Aihe: Ubuntu Alternate i386 12.04 Alpha 2 LTSP  (Luettu 2835 kertaa)

Asmo Koskinen

  • Käyttäjä
  • Viestejä: 4443
    • Profiili
Ubuntu Alternate i386 12.04 Alpha 2 LTSP
« : 03.02.12 - klo:16.22 »
Jep. Hyvin tuntuu toimivan.

Tärkeintä on asentaa 'gnome-session-fallback' -paketti. vaikka Unity pyörii palvelinPC-koneessa (nVidia), niin päätteissä Unity voidaan ohittaa. Kuvakaappaus Asus Eee 900-miniläppäristä.

Koodia: [Valitse]
ltsp@ltsp:~$ dpkg -l | grep fallback
ii  gnome-session-fallback 3.2.1-0ubuntu4 GNOME Session Manager - GNOME fallback session

Koodia: [Valitse]
ltsp@ltsp:~$ apt-cache show gnome-session-fallback
Package: gnome-session-fallback
[--]
This package contains the required components for the GNOME 3 fallback
session, based on the GNOME Panel. It can be started from a display
manager such as GDM, and doesn’t have specific hardware requirements.

Näin päätteet voidaan buutata automaattisesti.

Koodia: [Valitse]
ltsp@ltsp:~$ cat /var/lib/tftpboot/ltsp/i386/lts.conf
[default]
LTSP_CONFIG=True
LDM_DIRECTX=True
X_COLOR_DEPTH=16

[00:22:15:5c:d3:04]
LDM_AUTOLOGIN=True
LDM_USERNAME=ltspmx001
LDM_PASSWORD=ltspmx001
LDM_LANGUAGE="fi_FI.UTF-8"
LDM_SESSION="gnome-session --session=gnome-fallback"

[00:22:64:49:7f:f5]
LDM_AUTOLOGIN=True
LDM_USERNAME=ltspmx002
LDM_PASSWORD=ltspmx002
LDM_LANGUAGE="es_ES.UTF-8"
LDM_SESSION="gnome-session --session=gnome-fallback"

Tuki vanhoille päätteille (HP t5xxx) on loppunut jo aikoja sitten...

https://bugs.launchpad.net/ubuntu/+source/ltsp/+bug/642656

Ja kun 12.04 LTS-tuki on viisi vuotta (!), niin tähän kannattaa siirtyä edellisestä LTS-versiosta (10.04), jos käyttää LTSP-järjestelmää.

Ystävällisin terveisin Asmo Koskinen.

Asmo Koskinen

  • Käyttäjä
  • Viestejä: 4443
    • Profiili
Vs: Ubuntu Alternate i386 12.04 Alpha 2 LTSP
« Vastaus #1 : 03.02.12 - klo:17.05 »
Tärkeintä on asentaa 'gnome-session-fallback' -paketti. vaikka Unity pyörii palvelinPC-koneessa (nVidia), niin päätteissä Unity voidaan ohittaa.

Tietenkin koko ongelmasta pääsee kun asentaa joko Lubuntun tai Xubuntun ja niihin vastaavat työpöydät päittäin.

Koodia: [Valitse]
ltsp@lubuntu:~$ cat /var/lib/tftpboot/ltsp/i386/lts.conf
[default]
X_COLOR_DEPTH=16
LDM_DIRECTX=True

[00:22:15:5c:d3:04]
LDM_AUTOLOGIN=True
LDM_USERNAME=ltspmx001
LDM_PASSWORD=ltspmx001
LDM_LANGUAGE=es_ES.UTF-8
LDM_SESSION=/usr/bin/xfce4-session

[00:22:64:49:7f:f5]
LDM_AUTOLOGIN=True
LDM_USERNAME=ltspmx002
LDM_PASSWORD=ltspmx002
LDM_LANGUAGE=fi_FI.UTF-8
LDM_SESSION=/usr/bin/startlxde

Ohessa kuvakaappaukset, Asus Eee 900 (Xubuntu) ja HP Mini 2133 (Lubuntu).

Joten Unity ei tuota päänsärkyä pääteympäristössä.

Ystävällisin terveisin Asmo Koskinen.
« Viimeksi muokattu: 03.02.12 - klo:17.24 kirjoittanut Asmo Koskinen »

Asmo Koskinen

  • Käyttäjä
  • Viestejä: 4443
    • Profiili
Vs: Ubuntu Alternate i386 12.04 Alpha 2 LTSP
« Vastaus #2 : 07.02.12 - klo:22.51 »
Tärkeintä on asentaa 'gnome-session-fallback' -paketti.

Jos haluaa käyttää uutta Unity-työpöytää, niin sekin onnistuu 'ubuntu-2d'-vivulla. Ruutukaappaus Asus Eee-miniläppäristä.

Koodia: [Valitse]
[default]
LDM_DIRECTX=True
X_COLOR_DEPTH=16

[00:22:15:5c:d3:04]
LDM_AUTOLOGIN=True
LDM_USERNAME=ltspmx001
LDM_PASSWORD=ltspmx001
LDM_LANGUAGE="fi_FI.UTF-8"
LDM_SESSION="gnome-session --session=ubuntu-2d"

Ystävällisin terveisin Asmo Koskinen.

Asmo Koskinen

  • Käyttäjä
  • Viestejä: 4443
    • Profiili
Vs: Ubuntu Alternate i386 12.04 Alpha 2 LTSP
« Vastaus #3 : 07.02.12 - klo:23.43 »

Epoptes toimii pienen säätämisen jälkeen, chroot-ympäristöön piti asentaa käsin 'openssl'-paketti.
'epoptes-client'-paketti ei sitä vetänyt mukanaan. Samat toiminnot kuin iTalc-ohjelmassa, jota ei enää pidetä yllä. Kuvakaappaus ohessa.

Koodia: [Valitse]
root@ubuntu:/# epoptes-client -c
/usr/sbin/epoptes-client: line 132: openssl: command not found

Koodia: [Valitse]
root@ubuntu:/# apt-get install openssl

http://www.epoptes.org/installation

Ystävällisin terveisin Asmo Koskinen.

Asmo Koskinen

  • Käyttäjä
  • Viestejä: 4443
    • Profiili
Vs: Ubuntu Alternate i386 12.04 Alpha 2 LTSP
« Vastaus #4 : 18.02.12 - klo:16.12 »
En muista, olenko tätä tehnytkään näin päin. Toisin päin kyllä.
Pääte on virtuaalinen, palvelin fyysinen (kaksi verkkokorttia).

Ohessa VirtualBoxin asetukset. Imageen ei siis ole asennettu mitään, vaan otettu suoraan käyttöön PXE.
Asetuksissa pitää kertoa, että DHCP-palvelin löytyy eth1:stä. Kuvakaappaukset ohessa.

Kaikki toimii niin kuin pitääkin, esimerkiksi ssh-yhteys päätteeseen ja sisuskalujen tutkiminen.

Koodia: [Valitse]
root@ltsp26:~# lspci
00:00.0 Host bridge: Intel Corporation 440FX - 82441FX PMC [Natoma] (rev 02)
00:01.0 ISA bridge: Intel Corporation 82371SB PIIX3 ISA [Natoma/Triton II]
00:01.1 IDE interface: Intel Corporation 82371AB/EB/MB PIIX4 IDE (rev 01)
00:02.0 VGA compatible controller: InnoTek Systemberatung GmbH VirtualBox Graphics Adapter
00:03.0 Ethernet controller: Advanced Micro Devices [AMD] 79c970 [PCnet32 LANCE] (rev 10)
00:04.0 System peripheral: InnoTek Systemberatung GmbH VirtualBox Guest Service
00:05.0 Multimedia audio controller: Intel Corporation 82801AA AC'97 Audio Controller (rev 01)
00:06.0 USB controller: Apple Inc. KeyLargo/Intrepid USB
00:07.0 Bridge: Intel Corporation 82371AB/EB/MB PIIX4 ACPI (rev 08)
00:0d.0 SATA controller: Intel Corporation 82801HM/HEM (ICH8M/ICH8M-E) SATA Controller [AHCI mode] (rev 02)
root@ltsp26:~#

Feature Freeze toteutui myös ltsp-paketin kohdalta eilen. Nyt on aika testata ja etsiä bugeja.

"ltsp (5.3-0ubuntu1) precise; urgency=low

  * New upstream release (5.3):
    - Most ltsp-build-client plugins have now been moved to ltsp-init.d
      scripts, applying at boot time instead of build time.
    - Massive rework of all our init scripts, including deprecation of
      ltsp-client-setup.
    - Better nbd handling, using the upstream nbd scripts. LTSP is now
      using named NBD mount for both root and swap.
    - Moved from a whitelist of boot services to a blacklist, please get
      in touch with upstream if you noticed something that needs
      blacklisting.
    - New improved nbd-proxy with support for named NBD mounts
      (nbd-proxy is turned off by default)
    - Improvement to ltsp-update-image including, use of ionice by default.
    - Lots of fat clients improvement.
    - Proper handling of resolvconf
    - LTSP now ships /sbin/init-ltsp that's used to configure the thin
      client at boot time.
    - Improve ltsp-chroot command (it even has a manpage now)
    - Better handling of mixed NFS and NBD environment.
    - More consistent use of ltsp_config and ltsp-*-functions giving us
      a consistent environment and avoiding some delays.
    - Improved sound volume handling using udev rule instead of the old
      script.
    - Plenty of other fixes, thanks to everyone involved with this release!
  * Re-order all the debian/* files
  * Add new upstream files to debian/ltsp-client-core.install
  * Replace ttf-unfonts-core by fonts-nanum
  * Drop upstart jobs (shouldn't be needed with new upstream)
  * Remove ltsp-update-image.conf from /etc/ltsp/
  * Change ltsp-server recommend to tftpd-hpa | dnsmasq
  * Make ltsp-client-core depend on busybox-static to avoid installing
    busybox, then replacing it by busybox-static.
  * Switch to freerdp-x11 by default instead of rdesktop.
  * Drop usplash from dependencies as upstream dropped support.
  * Move /etc/nbd-server/config to /etc/nbd-server/config.ltsp-backup
    on first upgrade of LTSP to a version using conf.d
  * Make LTSP depend on nbd >= 1:2.9.25-2
  * Drop nbd-update-config, now using conf.d
  * Drop all debian/screen-session.d hacks as they are now either in LTSP
    upstream or in the upstream kernel.
  * Now source format 3.0 (quilt)"

https://launchpad.net/ubuntu/+source/ltsp/5.3-0ubuntu1

Ystävällisin terveisin Asmo Koskinen.
« Viimeksi muokattu: 18.02.12 - klo:16.22 kirjoittanut Asmo Koskinen »